Subject: Re: Problem with PCI bus rescan on 460EX

From: Felix Radensky <[email-masked]>
Date: Wed, 17 Mar 2010 09:57:21 +0200

Hi Ben,

Benjamin Herrenschmidt wrote:
> On Wed, 2010-03-17 at 09:38 +0200, Felix Radensky wrote:
>   
>> Hello Kenj-san
>>
>> Kenji Kaneshige wrote:
>>     
>>> By the way, I think Yinghai's bridge resource reallocation patch series
>>> might help you. It is in Jesse's PCI tree. Please take a look.
>>>
>>>
>>>       
>> I've tried Jesse's tree on my custom board and on 460EX evaluation board
>> (Canyonlands). In both cases the kernel doesn't boot unless PCI support is
>> disabled.  Debugging is difficult as the board just resets before 
>> anything is
>> is printed on console.
>>     
>
> This is Jesse tree with the default Canyonlands defconfig ? Hrm... I'll
> have to take a look, somebody mucking with PCI resource allocation is
> very likely to break something :-)
>
>
>   

Yep, default Canyonlands defconfig and default DTS.

Felix.